---
title: Begin SSO connector verification
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[IAM](https://developers.cloudflare.com/api/go/resources/iam)

[SSO](https://developers.cloudflare.com/api/go/resources/iam/subresources/sso)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Begin SSO connector verification

client.IAM.SSO.BeginVerification(ctx, ssoConnectorID, body) (\*[SSOBeginVerificationResponse](<https://developers.cloudflare.com/api/go/resources/iam#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/sso\_connectors/{sso\_connector\_id}/begin\_verification

Validates the user has added the DNS TXT record required for validating ownership of the domain they are trying to set up a connector for.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`SSO Connector Write`

##### ParametersExpand Collapse

ssoConnectorID string

SSO Connector identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20begin_verification%20%3E%20(params)%20default%20%3E%20(param)%20sso_connector_id%20%3E%20(schema)>)

<details>

<summary>

body SSOBeginVerificationParams

</summary>

AccountID param.Field\[string]

Account identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(method)%20begin_verification%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20begin_verification%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SSOBeginVerificationResponse struct{…}

</summary>

<details>

<summary>

Errors \[]SSOBeginVerificationResponseError

</summary>

Code int64

minimum1000

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

Message string

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

DocumentationURL stringOptional

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

Source SSOBeginVerificationResponseErrorsSourceOptional

</summary>

Pointer stringOptional

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

Messages \[]SSOBeginVerificationResponseMessage

</summary>

Code int64

minimum1000

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

Message string

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

DocumentationURL stringOptional

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

Source SSOBeginVerificationResponseMessagesSourceOptional

</summary>

Pointer stringOptional

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

Success SSOBeginVerificationResponseSuccess

Whether the API call was successful.

<a href="#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(model)%20SSOBeginVerificationResponse%20%3E%20(schema)>)

### Begin SSO connector verification

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/iam"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.IAM.SSO.BeginVerification(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    iam.SSOBeginVerificationParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Errors)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
```